#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n, k;
    cin>>n>>k;
    int a[n];
    for(int i=0; i<n; i++) cin>>a[n];
    for(int i=0; i<n; i++){
        if(a[i]==k){
         k=a[i];
         int j;
         a[i]=a[j];
        }
    }
    ;
    if(k==a[n])cout<<a[0];
    if(k!=a[n])cout<<a[j+1];
    return 0;
}